#!/bin/bash
set -eu

SCRIPT_DIR="$( dirname -- $(realpath "${BASH_SOURCE[0]}") )"

DEB_SOURCE="$(cd "$SCRIPT_DIR/.." && dpkg-parsechangelog -SSource)"
DEB_VERSION="$(cd "$SCRIPT_DIR/.." && dpkg-parsechangelog -SVersion)"
PKG_DIR="$(basename "$(realpath "$SCRIPT_DIR/..")")"

CI_COMMIT_SHA="latest"
CI_REGISTRY_IMAGE="$DEB_SOURCE"
DOCKER_BUILDKIT=1 docker build -t "$CI_REGISTRY_IMAGE/debian-build:$CI_COMMIT_SHA" \
    -f debian/Dockerfile debian/

docker run --rm \
    --mount "type=bind,source=$(realpath "$SCRIPT_DIR/../.."),destination=/src" \
    --env "WORKSPACE=/src" \
    --workdir "/src/$PKG_DIR" \
    "$CI_REGISTRY_IMAGE/debian-build:$CI_COMMIT_SHA" \
    bash -c "dpkg-buildpackage -b -uc -us -tc"
